Skip to main content
`Ctrl`+`K`

# DMSNESSetPicard

set SNES Picard iteration matrix and RHS evaluation functions into a `DMSNES` object

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetPicard(DM dm, SNESFunctionFn *b, SNESJacobianFn *J, PetscCtx ctx)

Not Collective

## Input Parameters

- dm - `DM` to be used with `SNES`

- b - RHS evaluation function; see `SNESFunctionFn` for calling sequence

- J - Picard matrix evaluation function; see `SNESJacobianFn` for calling sequence

- ctx - context for residual and matrix evaluation

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `SNESSetPicard()`, `DMSNESSetFunction()`, `DMSNESSetJacobian()`, `SNESFunctionFn`, `SNESJacobianFn`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages